@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');

* {
    font-family: 'Noto Sans', sans-serif;
    color: #fff;
    margin: 0;
}

header {
    /*position: fixed;
    top: 0;
    left: 0;
    box-sizing: border-box;
    width: 100%;
    padding: 10px;
    border-bottom: 1px solid #fff;
    /*background: radial-gradient();*/
    width: 100%;
    background: rgba(255, 255, 255, 0.06);
    border-bottom: 1px solid rgba(255, 255, 255, 0.08);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    padding: 1rem 2rem;
    position: fixed;
    top: 0;
    left: 0;
    box-sizing: border-box;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
}

body {
    /*background: #0E1346;*/
    background: radial-gradient(circle at top left,
            rgba(70, 120, 255, 0.25),
            transparent 35%),

        radial-gradient(circle at bottom right,
            rgba(0, 180, 255, 0.18),
            transparent 40%),

        radial-gradient(circle at center,
            rgba(120, 80, 255, 0.10),
            transparent 50%),

        #0a0f1f;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

main {
    min-height: calc(100vh - 228px);
}

section {
    padding-top: 2rem;
    text-align: center;
}

section.about {
    background: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('../media/img/ui/about_bg.jpg');
    background-position: center center;
    background-size: cover;
    padding: 6rem 0;
    border-bottom-left-radius: 17px;
    border-bottom-right-radius: 17px;
    font-size: 14px;
}

.products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 250px));
    gap: 2rem;
    justify-content: center;
}

.product {
    width: 250px;
    border: 1px solid #fff;
    font-size: 12px;
    text-align: left;
    padding: 5px;
    border-radius: 5px;
    box-sizing: border-box;
}

.product img {
    width: 100%;
    border-radius: 5px;
}

.product span {
    font-size: 16px;
    font-weight: bold;
}

.product span.off {
    color: #00B929;
}

.product sup.original {
    text-decoration: line-through;
}

section a {
    transition: all 100ms linear;
    background: #00B929;
    color: #fff;
    border: 1px solid #00a818;
    display: inline-block;
    padding: 6px 8px;
    border-radius: 6px;
    text-decoration: none;
    margin: 10px 0;
}

a:active {
    transition: all 100ms linear;
    opacity: 0.6;
}

footer {
    margin-top: 1rem;
    background: #020046;
    padding: 3rem;
    box-sizing: border-box;
    font-size: 14px;
}

footer img {
    height: 35px;
    margin-right: min(9px);
    margin-top: min(9px);
    margin-bottom: min(9px);
}

.floating {
    display: flex;
    position: fixed;
    background: #020046;
    width: 70px;
    height: 70px;
    bottom: 10px;
    right: 10px;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    border: 1px solid #fff;
    overflow: visible;
}

.floating img {
    width: 60%;
}

.tooltip {
    position: absolute;
    right: 85px; /* aparece a la izquierda del círculo */
    
    background: #020046;
    color: #fff;

    padding: 8px 12px;
    border-radius: 6px;

    white-space: nowrap;

    opacity: 0;
    visibility: hidden;

    transition: 0.3s;
}

.floating:hover .tooltip {
    opacity: 1;
    visibility: visible;
}

h1 {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

h1 img {
    width: 50px;
    border-radius: 50%;
}

input {
    background: rgba(0,0,0,0);
    width: 90%;
    padding: 1rem;
    border: none;
    border-bottom: 1px solid white;
    outline: none;
}

select {
    background: rgba(0,0,0,0);
    padding: 1rem;
    min-width: 90%;
    margin: 8px 0;
}

@media screen and (max-width: 767px){
    nav {
        display: none;
    }
}

@media screen and (min-width: 768px){
    nav {
        display: flex;
        gap: 1rem;
    }
}